Subject: Re: bug#39869: python-orator build fails
From: Marius Bakke <[email-masked]>
To: Maxim Cournoyer <[email-masked]>, [email-masked]
Date: Fri, 20 Mar 2020 22:45:01 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

This was a surprisingly deep rabbit hole that ended pretty
unsatisfactory with commit 51d42caa94515f43d677bdd76d53bf8bb8c7bc4e.

According to a comment in the package definition, the tests were never
supposed to run, so in the end they were just disabled.

I discovered a pattern that I hadn't seen yet in the Python ecosystem:
orator and many of its dependencies are no longer using setup.py.
Instead they have a file called pyproject.toml and calls out to a tool
called "poetry" to create distribution tarballs, run tests, etc; and it
apparently also creates a setup.py for the PyPI distribution.

I did not study poetry enough to figure out how it works, but we might
need a poetry-build-system or some such if the trend continues.  Mainly
because all packages using it seem to be stripping tests from the PyPI
release!  :-/